Bug 586253 - No fontconfig config files provided
Summary: No fontconfig config files provided
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: khmeros-fonts
Version: rawhide
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Parag Nemade
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 586883
TreeView+ depends on / blocked
 
Reported: 2010-04-27 07:22 UTC by Akira TAGOH
Modified: 2010-07-13 04:55 UTC (History)
4 users (show)

Fixed In Version: khmeros-fonts-5.0-10.fc14
Doc Type: Bug Fix
Doc Text:
Clone Of:
: 586883 (view as bug list)
Environment:
Last Closed: 2010-07-13 04:55:46 UTC
Type: ---


Attachments (Terms of Use)
proposed fontconfig config file (624 bytes, application/xml)
2010-05-14 03:15 UTC, Akira TAGOH
no flags Details

Description Akira TAGOH 2010-04-27 07:22:02 UTC
Description of problem:
The font package should have one fontconfig config file in the package at least to let fontconfig know which alias the font is close to, which language the font is supposed to be used for etc.

Version-Release number of selected component (if applicable):
khmeros-base-fonts-5.0-7.fc12.noarch

Additional Info:
See http://fedoraproject.org/wiki/Fontconfig_packaging_tips for what kind of rules you need to add.

Comment 1 Michal Nowak 2010-04-27 08:50:11 UTC
I am afraid I don't know Khmer script at all, so I can't give fontconfig hints. Unless Debian of other distro wrote it already or someone else is willing to write it, or help me to write, I am afraid I can't help in here.

Comment 2 Akira TAGOH 2010-04-28 05:22:09 UTC
No worries. I can help you to improve this. I'll attach one later.

Comment 3 Akira TAGOH 2010-05-14 03:15:57 UTC
Created attachment 413940 [details]
proposed fontconfig config file

Comment 4 Parag Nemade 2010-07-13 04:55:46 UTC
Fixed in khmeros-fonts-5.0-10.fc14


Note You need to log in before you can comment on or make changes to this bug.